Comment 0 for bug 2039113

Revision history for this message
Dimitri John Ledkov (xnox) wrote :

ubuntu-advantage-tools installs "core" snap even though canonical-livepatch snap exists for every base

it seems like instead of installing core22/stable on jammy systems, it installs latest/stable with core snap base, making core snap uninstallable.

I will try to reproduce this, but this is off.

Jammy+ systems, must not have core snap as unremovable anymore.

ProblemType: Bug
DistroRelease: Ubuntu 22.04
Package: ubuntu-advantage-tools 29.4~22.04
ProcVersionSignature: Ubuntu 6.2.0-34.34~22.04.1-generic 6.2.16
Uname: Linux 6.2.0-34-generic x86_64
NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
ApportVersion: 2.20.11-0ubuntu82.5
Architecture: amd64
CasperMD5CheckResult: pass
CurrentDesktop: ubuntu:GNOME
Date: Thu Oct 12 00:22:38 2023
InstallationDate: Installed on 2023-04-28 (166 days ago)
InstallationMedia: Ubuntu 22.04.2 LTS "Jammy Jellyfish" - Release amd64 (20230223)
SourcePackage: ubuntu-advantage-tools
UpgradeStatus: No upgrade log present (probably fresh install)
cloud-id.txt-error: Invalid command specified 'cloud-id'.
uaclient.conf:
 contract_url: https://contracts.canonical.com
 log_level: debug